Subject: categories: categories, Frobenius algebras, and string theory

From: "John Baez" <[email-masked]>
Date: Fri, 16 Dec 2005 17:19:47 -0800 (PST)

Dear Categorists -

Here's the portion of "week224" that deals with category theory.

Happy Holidays to everyone!

Best,
jb

.......................................................................

Also available as http://math.ucr.edu/home/baez/week224.html

December 14, 2005
This Week's Finds in Mathematical Physics - Week 224
John Baez

This week I want to mention a couple of papers lying on the interface of
physics, topology, and higher-dimensional algebra.  But first, some
astronomy pictures... and a bit about the mathematical physicist Hamilton!

[...]

Now for some mathematical physics that touches on higher-dimensional
algebra.  If you still don't get why topological field theory and
n-categories are so cool, read this thesis:

13) Bruce H. Bartlett, Categorical aspects of topological quantum field
theories, M.Sc. Thesis, Utrecht University, 2005.  Available as
math.QA/0512103.

It's a great explanation of the big picture!  I can't wait to see what
Bartlett does for his Ph.D..

If you're a bit deeper into this stuff, you'll enjoy this:

14) Aaron D. Lauda and Hendryk Pfeiffer, Open-closed strings: two-dimensional
extended TQFTs and Frobenius algebras, available as math.AT/0510664.

This paper gives a purely algebraic description of the topology of
open and closed strings, making precise and proving some famous guesses
due to Moore and Segal, which can be seen here:

15) Greg Moore, Lectures on branes, K-theory and RR charges,
Clay Math Institute Lecture Notes (2002), available at
http://www.physics.rutgers.edu/~gmoore/clay1/clay1.html

Lauda and Pfeiffer's paper makes heavy use of Frobenius algebras, developing
more deeply some of the themes I mentioned in "week174".  In a related
piece of work, Lauda has figured out how to *categorify* the concept of a
Frobenius algebra, and has applied this to 3d topology:

16) Aaron Lauda, Frobenius algebras and ambidextrous adjunctions,
available as math.CT/0502550.

Aaron Lauda, Frobenius algebras and planar open string topological field
theories, available as math.QA/0508349.

The basic idea behind all this work is a "periodic table" of categorified
Frobenius algebras, which are related to topology in different dimensions.
For example, in "week174" I explained how Frobenius algebras formalize the
idea of paint drips on a sheet of rubber.  As you move your gaze down a
sheet of rubber covered with drips of paint, you'll notice that drips can
merge:

                      \ \         / /
                       \ \       / /
                        \ \     / /
                         \ \   / /
                          \ \_/ /
                           \   /
                            | |
                            | |
                            | |
                            | |
                            | |

but also split:

                            | |
                            | |
                            | |
                            | |
                            | |
                           / _ \
                          / / \ \
                         / /   \ \
                        / /     \ \
                       / /       \ \
                      / /         \ \

In addition, drips can start:

                            _
                           | |
                           | |
                           | |
                           | |
                           | |
                           | |
                           | |
                           | |
                           | |

but also end:

                           | |
                           | |
                           | |
                           | |
                           | |
                           | |
                           | |
                           | |
                           |_|

In a Frobenius algebra, these four pictures correspond to four operations
called "multiplication" (merging), "comultiplication" (splitting), the
"unit" (starting) and the "counit" (ending).  Moreover, these operations
satisfy precisely the relations that you can prove by warping the piece
of rubber and seeing how the pictures change.  For example, there's the
associative law:

            \ \    / /    / /      \ \    \ \    / /
             \ \  / /    / /        \ \    \ \  / /
              \ \/ /    / /          \ \    \ \/ /
               \  /    / /            \ \    \  /
                \ \   / /              \ \   / /
                 \ \_/ /                \ \_/ /
                  \   /                  \   /
                   | |                    | |
                   | |                    | |
                   | |          =         | |
                   | |                    | |
                   | |                    | |
                   | |                    | |
                   | |                    | |
                   | |                    | |

The idea here is that if you draw the picture on the left-hand side on
a sheet of rubber, you can warp the rubber until it looks like the
right-hand side!  There's also the "coassociative law", which is
just an upside-down version of the above picture.   But the most
interesting laws are the "I = N" equation:

               \ \     / /                | |        | |
                \ \   / /                 | |        | |
                 \ \_/ /                  | |        | |
                  \   /                   |  \       | |
                   | |                    |   \      | |
                   | |                    | |\ \     | |
                   | |                    | | \ \    | |
                   | |                    | |  \ \   | |
                   | |          =         | |   \ \  | |
                   | |                    | |    \ \ | |
                   | |                    | |     \ \| |
                   | |                    | |      \   |
                  / _ \                   | |       \  |
                 / / \ \                  | |        | |
                / /   \ \                 | |        | |
               / /     \ \                | |        | |

and its mirror-image version.

So, the concept of Frobenius algebra captures the topology of regions
in the plane!  Aaron Lauda makes this fact into a precise theorem in
his paper on planar open string field theories, and then generalizes it
to consider "categorified" Frobenius algebras where the above equations
are replaced by isomorphisms, which describe the *process* of warping the
sheet of rubber until the left side looks like the right.  You should look
at his paper even if you don't understand the math, because it's full of
cool pictures.

Lauda and Pfeiffer's paper goes still further, by considering these paint
stripes as "open strings", not living in the plane anymore, but zipping
around in some spacetime of high dimension, where they might as well be
abstract 2-manifolds with corners.  Following Moore and Segal, they also
bring "closed strings" into the game, which form a Frobenius algebra of
their own, where the multiplication looks like an upside-down pair of pants:

    O       O
    \ \   / /
     \ \ / /
      \   /
       | |
       | |
       | |
       | |
       | |
        O

These topological closed strings are the subject of Joachim Kock's
book mentioned in "week202"; they correspond to *commutative*
Frobenius algebras.  The fun new stuff comes from letting the open
strings and closed strings interact.

You can read more about Lauda and Pfeiffer's work at Urs Schreiber's
blog:

17) Urs Schreiber, Lauda and Pfeiffer on open-closed topological strings,
http://golem.ph.utexas.edu/string/archives/000680.html

In fact, I recommend Schreiber's blog quite generally to anyone interested
in higher categories and/or the math of string theory!

-----------------------------------------------------------------------

Addendum:

Here's what Urs Schreiber had to say about Frobenius algebras, modular
tensor categories and string theory:

  John Baez wrote:

  [...] Following Moore and Segal, they also bring "closed strings"
  into the game, which form a Frobenius algebra of their own, where the
  multiplication looks like an upside-down pair
  of pants: [...]

 I would like to make the following general comment on the meaning
 of Frobenius algebras in 2-dimensional quantum field theory.

 Interestingly, _non_-commutative Frobenius algebras
 play a role even for closed strings, and even if the
 worldhseet theory is not purely topological.

 The archetypical example for this is the class of
 2D TFTs invented by Fukuma, Hosono and Kawai.  There
 one has a non-commutative Frobenius algebra which
 describes not the splitting/joining of the entire
 worldsheet, but rather the splitting/joining of
 edges in any one of its dual triangulations.  It is the
 _center_ of (the Morita class of) the noncommutative
 Frobenius algebra decorating dual triangulations
 which is the commutative Frobenius algebra describing
 the closed 2D TFT.

 One might wonder if it has any value to remember
 a non-commutative Frobenius algebra when only its center
 matters (in the closed case).  The point is that the
 details of the non-commutative Frobenius algebra acting
 in the "interior" of the world sheet affects the nature
 of "bulk field insertions" that one can consider
 and hence affects the (available notions of) n-point
 correlators of the theory, for n > 0.

 This aspect, however, is pronounced only when one
 switches from 2D topological field theories to
 conformal ones.

 The fascinating thing is that even 2D "conformal" field
 theories are governed by Frobenius algebras.  The
 difference lies in different categorical internalization.
 The Frobenius algebras relevant for CFT don't live
 in Vect, but in some other (modular) tensor category,
 usually that of representations of some chiral vertex
 operator algebra.  It is that ambient tensor category
 which "knows" if the Frobenius algebra describes a
 topological or a conformal field theory (in 2D) -
 and which one.

 Of course what I am referring to here is the work
 by Fjelstad, Froehlich, Fuchs, Runkel, Schweigert and
 others.  I can recommend their most recent review which
 will appear in the Streetfest proceedings.  It is
 available as math.CT/0512076.

 The main result is, roughly, that given any modular tensor
 category with certain properties, and given any
 (symmetric and special) Frobenius algebra object internal
 to that category, one can construct functions on surfaces
 that satisfy all the properties that one would demand of
 an n-point function of a 2D (conformal) field theory.

 If we define a field theory to be something not given by
 an ill-defined path integral, but something given by
 its set of correlation functions, then this amounts to
 constructing a (conformal) field theory.

 This result is achieved by first defining a somewhat
 involved procedure for generating certain classes of
 functions on marked surfaces, and then proving that
 the functions generated by this procedure do indeed
 satisfy all the required properties.

 In broad terms, the prescription is to choose a dual
 triangulation of the marked worldsheet whose correlation
 function is to be computed, to decorate its edges with
 symmetric special Frobenius algebra objects in some
 modular tensor category, to decorate its vertices by
 product and coproduct morphisms of this algebra, to
 embed the whole thing in a certain 3-manifold in a
 certain way and for every boundary or bulk field
 insertion to add one or two threads labeled by
 simple objects of the tensor category which connect
 edges of the chosen triangulation with the boundary of
 that 3-manifold.  Then you are to hit the resulting
 extended 3-manifold with the functor of a 3D TFT and
 hence obtain a vector in a certain vector space.  This
 vector, finally, is claimed to encode the correlation
 function.

 This procedure is deeply rooted in well-known relations
 between 3-(!)-dimensional topological field theory,
 modular functors and modular tensor categories and
 may seem very natural to people who have thought long
 enough about it.  It is already indicated in Witten's
 paper on the Jone's polynomial, that 3D TFT (Chern-Simons
 field theory in that case) computes conformal blocks
 of conformal field theories on the boundaries of these
 3-manifolds.  To others, like me in the beginning,
 it may seem like a miracle that an involved and
 superficially ad hoc procedure like this has anything
 to do with correlations functions of conformal
 field theory in the end.

 In trying to understand the deeper "meaning" of it all
 I played around with the idea that this prescription
 is really, to some extent at least, the "dual"
 incarnation of the application of a certain 2-functor
 to the worldsheet.  Namely a good part of the rough
 structure appearing here automatically drops out
 when a 2-functor applied to some 2-category of
 surfaces is "locally trivialized".  I claim that
 any local trivialization of a 2-functor on
 some sort of 2-category of surface elements gives
 rise to a dual triangulation of the surface whose
 edges are labeled by (possibly a generalization of)
 a Frobenius algebra object and whose vertices are
 labeled by (possibly a generalization of) product
 and coproduct operations.  There is more data
 in a locally trivialized 2-functor, and it seems to
 correctly reproduce the main structure of bulk field
 insertions as appearing above.  But of course there
 is a limit to what a _2_-functor can know about a
 structure that is inherently 3-dimensional.

 I have begun outlining some of the details that I
 have in mind here:

 http://golem.ph.utexas.edu/string/archives/000697.html

 This has grown out of a description of gerbes with
 connective structure in terms of transport 2-functors.
 Note that in what is called a _bundle_ gerbe we also
 do have a certain product operation playing a
 decisive role.  Bundle gerbes can be understood as
 "pre-trivializations" of 2-functors to Vect:

 http://golem.ph.utexas.edu/string/archives/000686.html

 and the product appearing is one of the Frobenius
 products mentioned above.  For a bundle gerbe the
 coproduct is simply the inverse of the product,
 since this happens to be an isomorphism. The claim
 is that 2-functors to Vect more generally give rise
 to non-trivial Frobenius algebras when locally
 trivialized.

 This is work in progress and will need to be refined.
 I thought I'd mention it here as a comment to John's
 general statements about how Frobenius algebras know
 about 2-dimensional physics.  I am grateful for all
 kinds of comments.

 Here's the paper Urs refers to:

21) Ingo Runkel, Jens Fjelstad, Jurgen Fuchs and Christoph Schweigert,
Topological and conformal field theory as Frobenius algebras, available
as math.CT/0512076.

-----------------------------------------------------------------------

Quote of the Week:

                    Here's how you do it:
                    First you're obtuse,
                    Then you intuit,
                    Then you deduce!
                                      - Garrison Keillor

-----------------------------------------------------------------------
Previous issues of "This Week's Finds" and other expository
articles on mathematics and physics, as well as some of my research
papers, can be obtained at

http://math.ucr.edu/home/baez/

For a table of contents of all the issues of This Week's Finds, try

http://math.ucr.edu/home/baez/twfcontents.html

A simple jumping-off point to the old issues is available at

http://math.ucr.edu/home/baez/twfshort.html

If you just want the latest issue, go to

http://math.ucr.edu/home/baez/this.week.html